Package org.opensaml.soap.wsaddressing.impl

# Class AttributedUnsignedLongMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AttributedUnsignedLongMarshaller

All Implemented Interfaces:
  `Marshaller`

Direct Known Subclasses:
  `RetryAfterMarshaller`

public class AttributedUnsignedLongMarshaller extends AbstractWSAddressingObjectMarshaller
Marshaller for instances of `AttributedUnsignedLong`.

## Constructor Summary

Constructors
Constructor
Description
`AttributedUnsignedLongMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallAttributes(XMLObject xmlObject, Element domElement)`
Marshalls a given XMLObject into a W3C Element.
`protected void`
`marshallElementContent(XMLObject xmlObject, Element domElement)`
Marshalls data from the XMLObject into content of the DOM Element.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributedUnsignedLongMarshaller

public AttributedUnsignedLongMarshaller()

## Method Details

### marshallAttributes

protected void marshallAttributes(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
Marshalls a given XMLObject into a W3C Element. The given signing context should be blindly passed to the marshaller for child elements. The XMLObject passed to this method is guaranteed to be of the target name specified during this unmarshaller's construction. This default implementation of this method is a no-op

Overrides:
  `marshallAttributes` in class `AbstractWSAddressingObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject to marshall
  `domElement` - the W3C DOM element
Throws:
  `MarshallingException` - thrown if there is a problem marshalling the element

### marshallElementContent

protected void marshallElementContent(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
Marshalls data from the XMLObject into content of the DOM Element. The default implementation of this method is a no-op.

Overrides:
  `marshallElementContent` in class `AbstractWSAddressingObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `domElement` - the DOM element recieving the content
Throws:
  `MarshallingException` - thrown if the textual content can not be added to the DOM element